petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESHasNPC

Returns whether a nonlinear preconditioner exists

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESHasNPC(SNES snes, PetscBool *has_npc)

Not Collective Many br

### Input Parameter

snes -iterative context obtained from SNESCreate() Many br

### Output Parameter

has_npc -whether the SNES has an NPC or not Many br

Many br

### Keywords

SNES, has, preconditioner

### See Also

SNESSetNPC(), SNESGetNPC()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages